summaryrefslogtreecommitdiffstats
path: root/podofo
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-07-16 13:50:02 +0000
committer Eric Hameleers <alien@slackware.com>2017-07-16 13:50:02 +0000
commit811c094a04696f0d3d8f8595de8e8d621bb4e4da (patch)
tree2e01cf3ce3323525991c22c2fb651cd69d6ad74a /podofo
parentbdef7e400e84d1b6856d8e45cf0dfe86a9837077 (diff)
downloadasb-811c094a04696f0d3d8f8595de8e8d621bb4e4da.tar.gz
asb-811c094a04696f0d3d8f8595de8e8d621bb4e4da.tar.xz
podofo: updated to 0.9.5
Diffstat (limited to 'podofo')
-rwxr-xr-xpodofo/build/podofo.SlackBuild31
1 files changed, 10 insertions, 21 deletions
diff --git a/podofo/build/podofo.SlackBuild b/podofo/build/podofo.SlackBuild
index 1bdc8f8f..9405caba 100755
--- a/podofo/build/podofo.SlackBuild
+++ b/podofo/build/podofo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2010, 2011, 2013 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011, 2013, 2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -36,6 +36,8 @@
# * Update.
# 0.9.2-1: 28/may/2013 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.9.5-1: 16/jul/2017 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh podofo.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -43,10 +45,9 @@
#
# -----------------------------------------------------------------------------
-# Set initial variables:
PRGNAM=podofo
-VERSION=${VERSION:-0.9.2}
+VERSION=${VERSION:-0.9.5}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -84,23 +85,17 @@ if [ -z "$ARCH" ]; then
fi
case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIB64="FALSE"
+ i?86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
- LIB64="TRUE"
;;
armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIB64="FALSE"
;;
armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
- LIB64="FALSE"
;;
armv5hl) SLKCFLAGS="-O2 -mthumb -march=armv5te -mtune=arm1176jzf-s -mfpu=vfp -mfloat-abi=softfp"
- LIB64="FALSE"
;;
*) SLKCFLAGS=${SLKCFLAGS:-"O2"}
- LIB64="FALSE"
;;
esac
@@ -132,7 +127,7 @@ if ! [ -f ${SOURCE} ]; then
if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -175,7 +170,10 @@ cd build
-DCMAKE_INSTALL_PREFIX=/usr \
-DPODOFO_BUILD_STATIC:BOOL=FALSE \
-DPODOFO_BUILD_SHARED:BOOL=TRUE \
- -DWANT_LIB64:BOOL=$LIB64 \
+ -DPODOFO_USE_VISIBILITY:BOOL=1 \
+ -DCMAKE_CXX_STANDARD:STRING=11 \
+ -DWANT_BOOST:BOOL=1 \
+ -DLIB_SUFFIX:STRING="$LIBDIRSUFFIX" \
..
make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
@@ -201,12 +199,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-if [ -f $SRCDIR/doinst.sh ]; then
- cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
-fi
-if [ -f $SRCDIR/slack-required ]; then
- cat $SRCDIR/slack-required > $PKG/install/slack-required
-fi
# Build the package:
cd $PKG
@@ -215,9 +207,6 @@ cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
-if [ -f $PKG/install/slack-required ]; then
- cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
-fi
# Restore the original umask:
umask ${_UMASK_}